GNU bug report logs - #63600
Prevent python-inferior-mode from using $PAGER

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Olav Fosse <post@HIDDEN>; dated Sat, 20 May 2023 08:13:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 63600 <at> debbugs.gnu.org:


Received: (at 63600) by debbugs.gnu.org; 26 May 2023 11:24:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 26 07:24:39 2023
Received: from localhost ([127.0.0.1]:48981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q2VYl-0008D2-31
	for submit <at> debbugs.gnu.org; Fri, 26 May 2023 07:24:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1q2VYi-0008Ch-Qs
 for 63600 <at> debbugs.gnu.org; Fri, 26 May 2023 07:24:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1q2VYd-0002b4-A4; Fri, 26 May 2023 07:24:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=rY0crG40sAZ4bXTJL2vrsY71o9DBDb5EahR9nG145Ko=; b=G18dmG8BjmiY
 mXuZormbniLu/UeHRBYOaeSpO1lqYo4tDLypOOrAI+HWhIS8Vo5jTWiVIngBC8g4pq5pAi7GoI+1D
 umzbVNLCcj/tnypZzSz+BR6WJ5ddGt1VPHB8y9ifDIC/efPDdVfqIXkUHbUzI5gUwTwqOqYUVrl8W
 VQVX6q7zt6/tV/uNlhn3u8dM2iFunVdwSCc60NATPP58pcI6DbUtkXoy/lf3Eeyxke2tPN1ie3Mj1
 yhc80YIBxOTOTM8jlMyKi8UC+iWZFL3Qmxai4Wa+4ujI96tQ9IpiOwpnMsFvfpOaFNd5M9ltdbCL7
 73H42wFgrmvZf3Mk7nCIZQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1q2VYc-0006qf-JE; Fri, 26 May 2023 07:24:31 -0400
Date: Fri, 26 May 2023 14:25:02 +0300
Message-Id: <83y1lbjpwx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Olav Fosse <post@HIDDEN>
In-Reply-To: <4BC53F55-28A7-4964-8BB4-BBC65213DC05@HIDDEN> (message from
 Olav Fosse on Sat, 20 May 2023 13:00:11 +0200)
Subject: Re: bug#63600:
References: <A793DA6E-32BF-4ABB-9064-E1CC9C68F32A@HIDDEN>
 <4BC53F55-28A7-4964-8BB4-BBC65213DC05@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 63600
Cc: 63600 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Olav Fosse <post@HIDDEN>
> Date: Sat, 20 May 2023 13:00:11 +0200
> 
> This might be solved for all comint-derived modes in
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62958

Can you see if bug#62958 solves this one as well?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#63600; Package emacs. Full text available.

Message received at 63600 <at> debbugs.gnu.org:


Received: (at 63600) by debbugs.gnu.org; 20 May 2023 15:50:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 20 11:50:56 2023
Received: from localhost ([127.0.0.1]:59161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q0Or7-00059d-63
	for submit <at> debbugs.gnu.org; Sat, 20 May 2023 11:50:56 -0400
Received: from ci74p00im-qukt09090101.me.com ([17.57.156.18]:61563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <post@HIDDEN>) id 1q0KK3-0000Tw-Qq
 for 63600 <at> debbugs.gnu.org; Sat, 20 May 2023 07:00:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=olavfosse.no;
 s=sig1; t=1684580421;
 bh=xPRIjp1y0JqsALj5D68gLKv+wunIV9bkz7u1OmwBtnY=;
 h=From:Content-Type:Mime-Version:Subject:Message-Id:Date:To;
 b=C0AI7FFCyq6XpgmdLGICJ27mMg5ZF9IeQOyXgJRInc1T/6Fd6t5Pkb8AQDE8sjzPg
 ZfwFbymsFfjDTblGGW9PobYiYDg6P0d6DEwIMiq3wFD016XQTeDqkILswrZnO+wLB1
 laxnR7d7ojLwXT0A7ad6HoTJ3qn/tbHTLdABCtVrjyMEYY3x3i7J7o4iCQDj8YKgaN
 EscApI2Qv+Ok/DroCW8BR/z9bCYK5NQ8Fd22pI5sAJqoS3L9g6bGKg15Rmp1DPHb0F
 QMxk7q+s0uKAGiWAFuO4AMqYgAQ9t0hCk4J8lT63hg+Biyz8IkdmWohgSMcL1Q7n41
 bZluVnWeZVnZQ==
Received: from smtpclient.apple (ci77p00im-dlb-asmtp-mailmevip.me.com
 [17.57.156.26])
 by ci74p00im-qukt09090101.me.com (Postfix) with ESMTPSA id 75FFA35C0238
 for <63600 <at> debbugs.gnu.org>; Sat, 20 May 2023 11:00:19 +0000 (UTC)
From: Olav Fosse <post@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3731.500.231\))
Subject: 
Message-Id: <4BC53F55-28A7-4964-8BB4-BBC65213DC05@HIDDEN>
Date: Sat, 20 May 2023 13:00:11 +0200
To: 63600 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3731.500.231)
X-Proofpoint-GUID: WNNGgMvo6YcKY5ZBtd8qlJQm1IZG_dpe
X-Proofpoint-ORIG-GUID: WNNGgMvo6YcKY5ZBtd8qlJQm1IZG_dpe
X-Proofpoint-Virus-Version: =?UTF-8?Q?vendor=3Dfsecure_engine=3D1.1.170-22c6f66c430a71ce266a39bfe25bc?=
 =?UTF-8?Q?2903e8d5c8f:6.0.138,18.0.572,17.11.62.513.0000000_definitions?=
 =?UTF-8?Q?=3D2020-02-14=5F11:2020-02-14=5F02,2020-02-14=5F11,2021-12-02?=
 =?UTF-8?Q?=5F01_signatures=3D0?=
X-Proofpoint-Spam-Details: rule=notspam policy=default score=1 adultscore=0
 spamscore=1 malwarescore=0
 bulkscore=0 mlxlogscore=206 phishscore=0 suspectscore=0 clxscore=1030
 mlxscore=1 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2212070000 definitions=main-2305200092
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: This might be solved for all comint-derived modes in
 https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62958
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [17.57.156.18 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [17.57.156.18 listed in list.dnswl.org]
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 63600
X-Mailman-Approved-At: Sat, 20 May 2023 11:50:52 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

This might be solved for all comint-derived modes in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62958




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#63600; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 May 2023 08:12:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 20 04:12:49 2023
Received: from localhost ([127.0.0.1]:57802 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q0Hho-0001Js-Jz
	for submit <at> debbugs.gnu.org; Sat, 20 May 2023 04:12:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:52704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <post@HIDDEN>) id 1q06jd-0006FW-W6
 for submit <at> debbugs.gnu.org; Fri, 19 May 2023 16:29:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <post@HIDDEN>) id 1q06jd-0006o8-My
 for bug-gnu-emacs@HIDDEN; Fri, 19 May 2023 16:29:57 -0400
Received: from st43p00im-zteg10063401.me.com ([17.58.63.175])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <post@HIDDEN>) id 1q06ja-0007IF-IK
 for bug-gnu-emacs@HIDDEN; Fri, 19 May 2023 16:29:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=olavfosse.no;
 s=sig1; t=1684528187;
 bh=9tgdtLU3NYGqW+sWoKmPnjHBw5nDzjsvbP1EnEu54hE=;
 h=From:Content-Type:Mime-Version:Subject:Message-Id:Date:To;
 b=mEZHsfBwnnI6+MT4wECBKEi0PRS44j9LcYyBA8z2/pVFBdGh8UC/OKvKCVeOVM/PQ
 +N/ban1v5NkdXWNM8zmtfHdytk6BRACtM2h6/Qmii/W3nd4Cl0APerMsDoRTaxin0P
 gbjGzlIdQKzDUrXUwygp6cfvSubt385dXg+oJRugN1Joyr1n3/F/nqWcvYScm6voYB
 W7ER99T9CFXjVuhRnhfoL1iWgF/HsMS0guuQny+SwgFdrYzr3gRG1zoEr4Fyyw0lyc
 7moxFltPmKsMEAns21XacLUGQWZ0vz1FRyZN4tl027obOkS1JcYyfuxOLm0qAnHQVv
 tzCNAUl+06q9g==
Received: from smtpclient.apple (st43p00im-dlb-asmtp-mailmevip.me.com
 [17.42.251.41])
 by st43p00im-zteg10063401.me.com (Postfix) with ESMTPSA id 71EAAC61150
 for <bug-gnu-emacs@HIDDEN>; Fri, 19 May 2023 20:29:47 +0000 (UTC)
From: Olav Fosse <post@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_62FF12EB-DCFA-4197-919A-C36E73647A2C"
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3731.500.231\))
Subject: Prevent python-inferior-mode from using $PAGER
Message-Id: <A793DA6E-32BF-4ABB-9064-E1CC9C68F32A@HIDDEN>
Date: Fri, 19 May 2023 22:29:37 +0200
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3731.500.231)
X-Proofpoint-ORIG-GUID: D55JmFeDV71a60cK68algcFyw4F_PJu6
X-Proofpoint-GUID: D55JmFeDV71a60cK68algcFyw4F_PJu6
X-Proofpoint-Virus-Version: =?UTF-8?Q?vendor=3Dfsecure_engine=3D1.1.170-22c6f66c430a71ce266a39bfe25bc?=
 =?UTF-8?Q?2903e8d5c8f:6.0.573,18.0.572,17.11.170.22.0000000_definitions?=
 =?UTF-8?Q?=3D2023-05-17=5F02:2023-05-17=5F02,2020-02-14=5F11,2023-02-09?=
 =?UTF-8?Q?=5F01_signatures=3D0?=
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 clxscore=1030
 suspectscore=0 mlxlogscore=483 phishscore=0 malwarescore=0 spamscore=0
 bulkscore=0 mlxscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2212070000 definitions=main-2305190176
Received-SPF: pass client-ip=17.58.63.175; envelope-from=post@HIDDEN;
 helo=st43p00im-zteg10063401.me.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 20 May 2023 04:12:47 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_62FF12EB-DCFA-4197-919A-C36E73647A2C
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii

This patch prevents python-inferior-mode from using $PAGER.
$PAGER is typically set to an interactive program, such as 
less(1) which causes problems when ran inside of a comint
buffer.


--Apple-Mail=_62FF12EB-DCFA-4197-919A-C36E73647A2C
Content-Disposition: attachment;
	filename=0001-Prevent-python-inferior-mode-from-using-PAGER.patch
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="0001-Prevent-python-inferior-mode-from-using-PAGER.patch"
Content-Transfer-Encoding: quoted-printable

=46rom=20d58c04d661ca415da41bc09c52bbce2bdae93cc1=20Mon=20Sep=2017=20=
00:00:00=202001=0AFrom:=20Olav=20Fosse=20<post@HIDDEN>=0ADate:=20=
Fri,=2019=20May=202023=2020:33:28=20+0200=0ASubject:=20[PATCH]=20Prevent=20=
python-inferior-mode=20from=20using=20$PAGER=0A=0A---=0A=20=
lisp/progmodes/python.el=20|=2011=20+++++++++--=0A=201=20file=20changed,=20=
9=20insertions(+),=202=20deletions(-)=0A=0Adiff=20--git=20=
a/lisp/progmodes/python.el=20b/lisp/progmodes/python.el=0Aindex=20=
4f57eda3cfc..9304479094e=20100644=0A---=20a/lisp/progmodes/python.el=0A=
+++=20b/lisp/progmodes/python.el=0A@@=20-2563,8=20+2563,15=20@@=20=
python-shell-internal-buffer-name=0A=20=20=20:type=20'string=0A=20=20=20=
:safe=20'stringp)=0A=20=0A-(defcustom=20python-shell-interpreter-args=20=
"-i"=0A-=20=20"Default=20arguments=20for=20the=20Python=20interpreter."=0A=
+(defcustom=20python-shell-interpreter-args=20"-i=20-c=20\"import=20=
pydoc;pydoc.pager=20=3D=20pydoc.plainpager;del=20pydoc\""=0A+=20=20=
"Default=20arguments=20for=20the=20Python=20interpreter.=0A+=0A+-c=20=
\"import=20pydoc;pydoc.pager=20=3D=20pydoc.plainpager;del=20pydoc\"=0A=
+makes=20it=20so=20that=20Python=20will=20print=20large=20messages=20=
directly=20to=20the=0A+buffer,=20as=20opposed=20to=20using=20$PAGER.=20=
This=20is=20useful=20because=20$PAGER=0A+is=20typically=20set=20to=20an=20=
interative=20program,=20such=20as=20less(1),=20which=0A+will=20not=20=
work=20properly=20when=20ran=20inside=20`inferior-python-mode'.=0A+"=0A=20=
=20=20:type=20'string)=0A=20=0A=20(defcustom=20=
python-shell-interpreter-interactive-arg=20"-i"=0A--=20=0A2.39.2=0A=0A=

--Apple-Mail=_62FF12EB-DCFA-4197-919A-C36E73647A2C--




Acknowledgement sent to Olav Fosse <post@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#63600; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 26 May 2023 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.